GetUser
/api/v1/users/{user}Fetch a user by name, or using the alias users/me to return the currently
authenticated user.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/users/{user}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/users/{user}"Set OBLIQUE_API_KEY to your API key.
Path parameters
namestringrequiredName of the user of the format
users/{id}. The aliasusers/meis also supported and resolves to the currently authenticated user.
Response
200UserA user represents a human user in the directory
namestringAssigned by Oblique. Format:
users/{id}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyUsers can only be soft-deleted to preserve logs and history.
displayNamestringrequiredPrimary display name of the user.
emailstringrequiredPrimary email of the user.
secondaryEmailsstring[]Additional emails of the user. These are in addition to the primary email.
titlestringSelf reported role. “VP of Engineering”, “Senior Frontend Engineer”, “Engineering Director, Frontend”.
managerstringOptional manager of the user.
Format:
users/{user}pictureUristringURI for the user’s profile picture. This can either be an “https://” scheme, or an absolute path (/imgs/foo.png).
directReportCountinteger (int32)read-onlyNumber of direct reports to this user.
totalReportCountinteger (int32)read-onlyNumber of total reports to this user.
lastLoginTimestring (date-time)read-onlyThe time the user last logged in. Not set if the user has never logged in.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |